Upstream information

CVE-2017-2633 at MITRE

Description

An out-of-bounds memory access issue was found in Quick Emulator (QEMU) before 1.7.2 in the VNC display driver. This flaw could occur while refreshing the VNC display surface area in the 'vnc_refresh_server_surface'. A user inside a guest could use this flaw to crash the QEMU process.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  SUSE
Base Score 3
Vector AV:L/AC:M/Au:S/C:N/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 1026612 [RESOLVED / FIXED], 1026636 [RESOLVED / FIXED], 1074701 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • xen >= 4.5.5_10-22.14.1
  • xen-kmp-default >= 4.5.5_10_k3.12.69_60.64.35-22.14.1
  • xen-libs >= 4.5.5_10-22.14.1
  • xen-libs-32bit >= 4.5.5_10-22.14.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-661
SUSE Linux Enterprise Desktop 12 SP3
  • qemu >= 2.9.0-5.10
  • qemu-block-curl >= 2.9.0-5.10
  • qemu-ipxe >= 1.0.0-5.10
  • qemu-kvm >= 2.9.0-5.10
  • qemu-seabios >= 1.10.2-5.10
  • qemu-sgabios >= 8-5.10
  • qemu-tools >= 2.9.0-5.10
  • qemu-vgabios >= 1.10.2-5.10
  • qemu-x86 >= 2.9.0-5.10
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA qemu
SUSE Linux Enterprise Module for Basesystem 15
  • qemu-tools >= 2.11.1-7.5
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA qemu-tools
SUSE Linux Enterprise Module for Server Applications 15
  • qemu >= 2.11.1-7.5
  • qemu-block-curl >= 2.11.1-7.5
  • qemu-block-iscsi >= 2.11.1-7.5
  • qemu-block-rbd >= 2.11.1-7.5
  • qemu-block-ssh >= 2.11.1-7.5
  • qemu-guest-agent >= 2.11.1-7.5
  • qemu-ipxe >= 1.0.0-7.5
  • qemu-kvm >= 2.11.1-7.5
  • qemu-lang >= 2.11.1-7.5
  • qemu-seabios >= 1.11.0-7.5
  • qemu-sgabios >= 8-7.5
  • qemu-vgabios >= 1.11.0-7.5
  • qemu-x86 >= 2.11.1-7.5
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA qemu
SUSE Linux Enterprise Point of Sale 11 SP3
  • kvm >= 1.4.2-53.14.1
Patchnames:
sleposp3-kvm-13397
SUSE Linux Enterprise Server 11 SP3-LTSS
  • kvm >= 1.4.2-53.14.1
Patchnames:
slessp3-kvm-13397
SUSE Linux Enterprise Server 11 SP4
  • kvm >= 1.4.2-60.6.1
  • xen >= 4.4.4_16-54.1
  • xen-doc-html >= 4.4.4_16-54.1
  • xen-kmp-default >= 4.4.4_16_3.0.101_97-54.1
  • xen-kmp-pae >= 4.4.4_16_3.0.101_97-54.1
  • xen-libs >= 4.4.4_16-54.1
  • xen-libs-32bit >= 4.4.4_16-54.1
  • xen-tools >= 4.4.4_16-54.1
  • xen-tools-domU >= 4.4.4_16-54.1
Patchnames:
slessp4-kvm-13393
slessp4-xen-13069
SUSE Linux Enterprise Server 12 SP1
  • xen >= 4.5.5_10-22.14.1
  • xen-doc-html >= 4.5.5_10-22.14.1
  • xen-kmp-default >= 4.5.5_10_k3.12.69_60.64.35-22.14.1
  • xen-libs >= 4.5.5_10-22.14.1
  • xen-libs-32bit >= 4.5.5_10-22.14.1
  • xen-tools >= 4.5.5_10-22.14.1
  • xen-tools-domU >= 4.5.5_10-22.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-661
SUSE Linux Enterprise Server 12 SP3
  • qemu >= 2.9.0-5.10
  • qemu-arm >= 2.9.0-5.10
  • qemu-block-curl >= 2.9.0-5.10
  • qemu-block-rbd >= 2.9.0-5.10
  • qemu-block-ssh >= 2.9.0-5.10
  • qemu-guest-agent >= 2.9.0-5.10
  • qemu-ipxe >= 1.0.0-5.10
  • qemu-kvm >= 2.9.0-5.10
  • qemu-lang >= 2.9.0-5.10
  • qemu-ppc >= 2.9.0-5.10
  • qemu-s390 >= 2.9.0-5.10
  • qemu-seabios >= 1.10.2-5.10
  • qemu-sgabios >= 8-5.10
  • qemu-tools >= 2.9.0-5.10
  • qemu-vgabios >= 1.10.2-5.10
  • qemu-x86 >= 2.9.0-5.10
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA qemu
SUSE Linux Enterprise Server 12-LTSS
  • qemu >= 2.0.2-48.34.3
  • qemu-block-curl >= 2.0.2-48.34.3
  • qemu-block-rbd >= 2.0.2-48.34.3
  • qemu-guest-agent >= 2.0.2-48.34.3
  • qemu-ipxe >= 1.0.0-48.34.3
  • qemu-kvm >= 2.0.2-48.34.3
  • qemu-lang >= 2.0.2-48.34.3
  • qemu-ppc >= 2.0.2-48.34.3
  • qemu-s390 >= 2.0.2-48.34.3
  • qemu-seabios >= 1.7.4-48.34.3
  • qemu-sgabios >= 8-48.34.3
  • qemu-tools >= 2.0.2-48.34.3
  • qemu-vgabios >= 1.7.4-48.34.3
  • qemu-x86 >= 2.0.2-48.34.3
  • xen >= 4.4.4_16-22.36.1
  • xen-doc-html >= 4.4.4_16-22.36.1
  • xen-kmp-default >= 4.4.4_16_k3.12.61_52.69-22.36.1
  • xen-libs >= 4.4.4_16-22.36.1
  • xen-libs-32bit >= 4.4.4_16-22.36.1
  • xen-tools >= 4.4.4_16-22.36.1
  • xen-tools-domU >= 4.4.4_16-22.36.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1839
SUSE-SLE-SERVER-12-2017-626
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • kvm >= 1.4.2-53.14.1
Patchnames:
slessp3-kvm-13397
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • kvm >= 1.4.2-60.6.1
  • xen >= 4.4.4_16-54.1
  • xen-doc-html >= 4.4.4_16-54.1
  • xen-kmp-default >= 4.4.4_16_3.0.101_97-54.1
  • xen-kmp-pae >= 4.4.4_16_3.0.101_97-54.1
  • xen-libs >= 4.4.4_16-54.1
  • xen-libs-32bit >= 4.4.4_16-54.1
  • xen-tools >= 4.4.4_16-54.1
  • xen-tools-domU >= 4.4.4_16-54.1
Patchnames:
slessp4-kvm-13393
slessp4-xen-13069
SUSE Linux Enterprise Server for SAP Applications 12
  • xen >= 4.4.4_16-22.36.1
  • xen-doc-html >= 4.4.4_16-22.36.1
  • xen-kmp-default >= 4.4.4_16_k3.12.61_52.69-22.36.1
  • xen-libs >= 4.4.4_16-22.36.1
  • xen-libs-32bit >= 4.4.4_16-22.36.1
  • xen-tools >= 4.4.4_16-22.36.1
  • xen-tools-domU >= 4.4.4_16-22.36.1
Patchnames:
SUSE-SLE-SAP-12-2017-626
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • xen >= 4.5.5_10-22.14.1
  • xen-doc-html >= 4.5.5_10-22.14.1
  • xen-kmp-default >= 4.5.5_10_k3.12.69_60.64.35-22.14.1
  • xen-libs >= 4.5.5_10-22.14.1
  • xen-libs-32bit >= 4.5.5_10-22.14.1
  • xen-tools >= 4.5.5_10-22.14.1
  • xen-tools-domU >= 4.5.5_10-22.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-661
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • qemu >= 2.0.2-48.34.3
  • qemu-block-curl >= 2.0.2-48.34.3
  • qemu-block-rbd >= 2.0.2-48.34.3
  • qemu-guest-agent >= 2.0.2-48.34.3
  • qemu-ipxe >= 1.0.0-48.34.3
  • qemu-kvm >= 2.0.2-48.34.3
  • qemu-lang >= 2.0.2-48.34.3
  • qemu-ppc >= 2.0.2-48.34.3
  • qemu-s390 >= 2.0.2-48.34.3
  • qemu-seabios >= 1.7.4-48.34.3
  • qemu-sgabios >= 8-48.34.3
  • qemu-tools >= 2.0.2-48.34.3
  • qemu-vgabios >= 1.7.4-48.34.3
  • qemu-x86 >= 2.0.2-48.34.3
  • xen >= 4.4.4_16-22.36.1
  • xen-doc-html >= 4.4.4_16-22.36.1
  • xen-kmp-default >= 4.4.4_16_k3.12.61_52.69-22.36.1
  • xen-libs >= 4.4.4_16-22.36.1
  • xen-libs-32bit >= 4.4.4_16-22.36.1
  • xen-tools >= 4.4.4_16-22.36.1
  • xen-tools-domU >= 4.4.4_16-22.36.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1839
SUSE-SLE-SERVER-12-2017-626
SUSE Linux Enterprise Software Development Kit 11 SP4
  • xen >= 4.4.4_16-54.1
  • xen-devel >= 4.4.4_16-54.1
Patchnames:
sdksp4-xen-13069
SUSE Linux Enterprise Software Development Kit 12 SP1
  • xen >= 4.5.5_10-22.14.1
  • xen-devel >= 4.5.5_10-22.14.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-661
openSUSE Leap 15.0
  • qemu >= 2.11.1-lp150.6.7
  • qemu-block-curl >= 2.11.1-lp150.6.7
  • qemu-block-rbd >= 2.11.1-lp150.6.7
  • qemu-block-ssh >= 2.11.1-lp150.6.7
  • qemu-guest-agent >= 2.11.1-lp150.6.7
  • qemu-ipxe >= 1.0.0-lp150.6.7
  • qemu-ksm >= 2.11.1-lp150.6.7
  • qemu-seabios >= 1.11.0-lp150.6.7
  • qemu-sgabios >= 8-lp150.6.7
  • qemu-tools >= 2.11.1-lp150.6.7
  • qemu-vgabios >= 1.11.0-lp150.6.7
  • qemu-x86 >= 2.11.1-lp150.6.7
Patchnames:
openSUSE Leap 15.0 GA qemu
openSUSE Leap 42.3
  • qemu >= 2.9.0-30.1
  • qemu-arm >= 2.9.0-30.1
  • qemu-block-curl >= 2.9.0-30.1
  • qemu-block-dmg >= 2.9.0-30.1
  • qemu-block-iscsi >= 2.9.0-30.1
  • qemu-block-rbd >= 2.9.0-30.1
  • qemu-block-ssh >= 2.9.0-30.1
  • qemu-extra >= 2.9.0-30.1
  • qemu-ipxe >= 1.0.0-30.1
  • qemu-ksm >= 2.9.0-30.1
  • qemu-kvm >= 2.9.0-30.1
  • qemu-lang >= 2.9.0-30.1
  • qemu-ppc >= 2.9.0-30.1
  • qemu-s390 >= 2.9.0-30.1
  • qemu-seabios >= 1.10.2-30.1
  • qemu-sgabios >= 8-30.1
  • qemu-tools >= 2.9.0-30.1
  • qemu-vgabios >= 1.10.2-30.1
  • qemu-x86 >= 2.9.0-30.1
Patchnames:
openSUSE Leap 42.3 GA qemu


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP2 qemu Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS kvm Released
SUSE Linux Enterprise Server 11 SP4 kvm Released
SUSE Linux Enterprise Server 12 GA LTSS qemu Released
SUSE Linux Enterprise Server 12 SP1 qemu Not affected
SUSE Linux Enterprise Server 12 SP2 qemu Not affected